Subject: Re: inetd login problems
From: Igor Pechtchanski <[email-masked]>
To: Paul Grinberg <[email-masked]>
Cc: [email-masked]
Date: Fri, 9 May 2003 14:41:44 -0400 (EDT)

Paul,

There was no need to Cc: me, especially since I specifically set the
Reply-To: field to point to the cygwin list.  Please make sure your mailer
honors that.

More replies inline.

On Fri, 9 May 2003, Paul Grinberg wrote:

> As requested, attached is the output of cygcheck (sorry, i forgot to
> include it).  I am also attaching the inetd.log.  The Windows Event log
> unfortunately does not contain any information about inetd at all.  I
> have recently updated the /etc/passwd file, but I don't know how to
> update the /etc/group file, or even if that is necessary.  I hope this
> fills in the blanks.
>
> Paul.
>
> --- Igor Pechtchanski <[email-masked]> wrote:
> > Paul,
> >
> > First off, the output of "cygcheck -svr" (attached, as per
> > <http://cygwin.com/problems.html>) would really help under the
> > circumstances.  More replies inline below.
> >
> > On Fri, 9 May 2003, Paul Grinberg wrote:
> >
> > > Hello,
> > >
> > > I am running cygwin under WinNT (CYGWIN_NT-4.0 1.3.22(0.78/3/2)
> > > 2003-03-18 09:20 i686 unknown unknown Cygwin). Inetd was configured as
> > > a service using cygrunsrv following instructions I found somewhere on
> > > the web.  This has worked for me in the past.

Hmm, I didn't notice this initially.  FYI, inetd has an --install-as-service
option...  In fact, that's the recommended way of configuring it, as
indicated in /usr/doc/Cygwin/inetutils-1.3.2.README.  Any other instructions
are not definitive, and may result in a broken configuration.  In fact,
the README states that

  Under NT/W2K inetd must be started from service manager. It
  must not be started via SRVANY but it has two new options
  to install or remove it as service...

which I take to mean that you have to be careful of how you install it.

> > > I had no need to log into my machine for a few months, during which, I
> > > had updated the cygwin installation. Now, when I try to telnet into it,
> > > I don't even get the login prompt; only this:
> > >
> > > Trying 10.40.11.62...
> > > Escape character is '^]'.
> > > Connection closed by foreign host.
> > >
> > > and when I ftp into the machine, I get this:
> > >
> > > Connected to 10.40.11.62.
> > > 421 Service not available, remote server has closed connection
> > >
> > > I tried restarting the inetd service from within the Control Panel,
> > > but all I get is this error message:
> > >
> > > The application failed to initialize properly (0xc0000022).  Click
> > > OK to terminate the application.
> >
> > Does the Windows event log show anything?  What about the files in
> > /var/log?
> >
> > > So, I tried running inetd manually in debug mode from a terminal. I
> > > was then able to telnet into my machine, but for some reason, my
> > > login information is no longer accepted ("login failed" errors). The
> > > same story for FTP. Any suggestions on what could be going wrong
> > > with my setup?
> >
> > Are your /etc/passwd and /etc/group up to date?  It's hard to venture
> > a guess without the cygcheck output...
> > 	Igor

Your inetd.log shows interesting messages:

    305 [main] inetd 107 sync_with_child: child 457(0x1A0) died before initialization with status code 0x80
  43539 [main] inetd 107 sync_with_child: *** child state waiting for longjmp

Searching the list for "sync_with_child status code 0x80 longjmp" results
in a whole bunch of matches, but most of these were left with no reply.
From what I could see, this problem had to do with temporarily running out
of PIDs...  Perhaps someone can fill in for me on this.

However, the first thing to try would be to start from scratch and follow
the exact directions in /usr/doc/Cygwin/inetutils-1.3.2.README and see if
that works.
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

Knowledge is an unending adventure at the edge of uncertainty.
  -- Leto II

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/